<?
include_once("req.php");

array_walk($_REQUEST,"format_string");   
array_walk($_POST,"format_string");   
array_walk($_GET,"format_string");   
include_once("config.php");
include_once("session_class.php");
include_once("persinfo_class.php");
error_reporting(E_ALL ^ E_NOTICE);
session_start();
$session = new Sessions;

if ($session->is_session(session_id())) {

$myinfo =new Persinfo($session->id_person);
if ($myinfo->clanname OR (int)$myinfo->align) {

$res=db_use('array',"select rightsmask from clans_pers where id_person='".$myinfo->id_person."'");
$clan_access=$res['rightsmask'];

# права
if ($clan_access[0] && $_REQUEST['chboss']) {
		$res=db_use('array',"select id_person,id_clan,align from person where persname='".mysql_escape_string($_REQUEST['chboss'])."' or id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['chboss'])."')");
		$id_person_x=$res['id_person'];
		if ($id_person_x==$myinfo->id_person) {$mess='Ошибка';}else{
		if (!$id_person_x) {$mess='Персонаж не найден';} else{
		# персонаж должен быть в том же клане
			if (($res['id_clan']==$myinfo->id_clan OR (ispal($res['align']) && $myinfo->align=='1.99'))){
				# запрос прав того персонажа
				$res=db_use('array',"select * from clans_pers where id_person='".$id_person_x."' and id_clan='".($myinfo->id_clan?$myinfo->id_clan:1)."';");
				if ($res['id_person']) {
					db_use('query',"update clans_pers set rightsmask='1' where id_person='".$id_person_x."' and id_clan='".($myinfo->id_clan?$myinfo->id_clan:1)."';");
				}else{
					db_use('query',"insert into clans_pers (id_person,id_clan,rightsmask) values('".$id_person_x."','".($myinfo->id_clan?$myinfo->id_clan:1)."','1');");
				}
				db_use('query',"update clans_pers set rightsmask='0111111111' where id_person='".$myinfo->id_person."' and id_clan='".($myinfo->id_clan?$myinfo->id_clan:1)."';");
				$mess='Вы сложили полномочия в пользу "'.$_REQUEST['chboss'].'"';
				if ($myinfo->align=='1.99') {
					$myinfo->align='1.92';
					db_use('query',"update person set align='1.92' where id_person='".$myinfo->id_person."';");
					db_use('query',"update person set align='1.99' where id_person='".$id_person_x."';");
				}
			}else{
				$mess='Персонаж не состоит в клане.';
			}
		}
		}
}

echo "<HTML><HEAD>
<link rel=stylesheet type=\"text/css\" href=\"../i/main.css\">
<meta content=\"text/html; charset=windows-1251\" http-equiv=Content-type>
<META Http-Equiv=Cache-Control Content=no-cache>
<meta http-equiv=PRAGMA content=NO-CACHE>
<META Http-Equiv=Expires Content=0>
<SCRIPT LANGUAGE=\"JavaScript\" SRC=\"../i/selectlogin.js\"></SCRIPT>
<SCRIPT>
function w(login,id,align,klan,level,boss,rank,online,block, city){
	var s=\"\";
	if (online!=0) {
		if (city!=\"\") {
			s='<IMG style=\"filter:gray()\" SRC=../i/lock.gif WIDTH=20 HEIGHT=15 ALT=\"В другом городе\">';
		} else {
			s='<a href=\"javascript:top.AddToPrivate(\''+login+'\',true)\"><IMG SRC=../i/lock.gif WIDTH=20 HEIGHT=15 ALT=\"Приватно\"></a>';
		}
	} else { s='<IMG SRC=\"../i/offline.gif\" WIDTH=20 HEIGHT=15 BORDER=0 ALT=\"Нет в клубе\">'; }
	if (city!=\"\") {
		s+='<img src=\"../i/misc/forum/fo'+city+'.gif\" width=17 height=15>';
	}

	s+=' <IMG SRC=../i/align'+align+'.gif WIDTH=12 HEIGHT=15>';
	if (klan!='') {s+='<A HREF=\"/encicl/klan/'+klan+'.html\" target=_blank><IMG SRC=\"../i/klan/'+klan+'.gif\" WIDTH=24 HEIGHT=15 ALT=\"\"></A>'}
	s+='<a href=\"javascript:top.AddTo(\''+login+'\')\">';
	if (online!=0) {s+=login} else {s+='<FONT color=gray><b>'+login+'</b>'}
	s+='</a>['+level+']<a href=/inf.php?'+id+' target=_blank><IMG SRC=../i/inf.gif WIDTH=12 HEIGHT=11 ALT=\"Информация о персонаже\"></a>';
	if (block != '' && block != '0') {s+=' &nbsp; - <font color=red><b>заблокирован</b></font>'}
	else {
		if (boss != '' && boss != '0') { s+=' &nbsp; - <font color=336666><b>глава клана</b></font>' }
		else { if (rank != '') {s+=' &nbsp; - '+rank} }
	}
	if (online==0) {s+='</FONT>'};

	document.write(s+'<BR>');
}
</SCRIPT>
</HEAD>
<body bgcolor=e2e0e0>
<div id=hint3 class=ahint></div>
<TABLE cellspacing=0 cellpadding=0 width=100%><TR><TD align=center>
<h3>".($myinfo->clanname?"<IMG SRC=\"../i/klan/".$myinfo->clanname.".gif\" WIDTH=24 HEIGHT=15> ".$myinfo->clanname:'Паладинский орден')."</h3>
</td><td align=right valign=top><INPUT TYPE=button value=\"Вернуться\" onclick=\"top.returned()\"></td></tr>
<tr><td colspan=2><FONT COLOR=red>".$mess."</FONT>&nbsp;</td></tr>
</table>

<TABLE width=100%>
<FORM action=\"clans.php\" method=POST>
<TR><TD valign=top>

";
if ($clan_access[0] OR $clan_access[1]) { # принять/выгнать
if ($_REQUEST['remove']) {
	if ($myinfo->money<30) {
		$mess='Недостаточно денег';
	}else{
		$res=db_use('array',"select p.id_person,p.id_clan,p.align,cp.rightsmask from person p left join clans_pers cp on cp.id_person=p.id_person where (p.persname='".mysql_escape_string($_REQUEST['remove'])."' or p.id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['remove'])."'))");
		$id_person_x=$res['id_person'];
		if (!$id_person_x) {$mess='Персонаж не найден';} else{
			$myinfo->get_chat_params();
			if ($res['rightsmask'][0]=='1') { $mess='Нельзя исключить главу';}else{
			if ($res['id_clan']==$myinfo->id_clan && $res[id_clan] >1 ) {
				db_use('query',"update person set money=money-30 where id_person='".$myinfo->id_person."'");
				db_use('query',"update person set clanzvan='',id_clan=0,align=0 where id_person='".$id_person_x."'");
				db_use('query',"delete from clans_pers where id_person='".$id_person_x."'");
				$mess='Персонаж "'.$_REQUEST['remove'].'" исключен из клана "'.$myinfo->clanname.'".';
				$text='<font class=date>'.date('d.m.y H:i').'</font> "'.$myinfo->name.'" исключил'.($myinfo->sex?'а':'').' из клана <img src=../i/align'.$myinfo->align.'.gif><IMG SRC=../i/klan/'.$myinfo->clanname.'.gif WIDTH=24 HEIGHT=15 BORDER=0 ALT="'.$myinfo->clanname.'">'.$myinfo->clanname.' персонажа "'.$_REQUEST['remove'].'".';
				db_use('query',"insert into chat (timestamp,id_room,nick,text,color,type) values(".time().",'".$myinfo->id_room."','','".$text."','','2')");
				db_use('query',"insert into pals_delo(id_person,id_paladin,level,align,message,type) values('".$id_person_x."','".$myinfo->id_person."','".$myinfo->level."','".$myinfo->align."','Исключен из клана ".$myinfo->clanname."','5')");				
			}elseif (ispal($res['align']) && ispal($myinfo->align) && $res[id_clan]<2 ) {
				db_use('query',"update person set money=money-30 where id_person='".$myinfo->id_person."'");
				db_use('query',"update person set clanzvan='',id_clan=0,align=0 where id_person='".$id_person_x."'");
				db_use('query',"delete from clans_pers where id_person='".$id_person_x."'");
				$mess='Персонаж "'.$_REQUEST['remove'].'" лишен паладинства.';
				$text='<font class=date>'.date('d.m.y H:i').'</font> "'.$myinfo->name.'" исключил'.($myinfo->sex?'а':'').' из <img src=../i/align1.gif>Ордена Света персонажа "'.$_REQUEST['remove'].'".';
				db_use('query',"insert into chat (timestamp,id_room,nick,text,color,type) values(".time().",'".$myinfo->id_room."','','".$text."','','2')");
				db_use('query',"insert into pals_delo(id_person,id_paladin,level,align,message,type) values('".$id_person_x."','".$myinfo->id_person."','".$myinfo->level."','".$myinfo->align."','Исключен из Ордена Света','5')");				
			}else{
				$mess='Персонаж не в клане';
			}#clan
		}
		}#person
	}#money	
}#remove
if ($_REQUEST['add']) {
	if ($myinfo->money<100) {
		$mess='Недостаточно денег';
	}else{
		$res=db_use('array',"select id_person,id_clan,align,last_legit_mark,last_legit_time,sex from person where (persname='".mysql_escape_string($_REQUEST['add'])."' or id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['add'])."'))");
		$id_person_x=$res['id_person'];
		if (!$id_person_x) {$mess='Персонаж не найден';} else{
			$myinfo->get_chat_params();
			if ($res['id_clan']==$myinfo->id_clan) {
				$mess='Персонаж уже в составе клана.';
			}elseif ($res['id_clan']){
				$mess='Персонаж уже находится в другом клане.';
			}elseif ($myinfo->id_clan==11 && $res['sex']!=1){
				$mess='Амазонками не могут быть мужчины =)';
			}elseif (ispal($res['align'])){
				$mess='Персонаж имеет паладинскую склонность.';
			}elseif ($res['align']==2){
				$mess='Персонаж имеет склонность "Хаос".';
			}else{
				#проверка
				if ($res['last_legit_mark']>0 OR ispal($myinfo->align)) {
					if ($res['last_legit_time']+60*60*24*3<time() && !ispal($myinfo->align)) {
						$mess='Истек срок действия проверки персонажа на чистоту (3 дня).';	
					}else{

				if (ispal($myinfo->align) && !$myinfo->id_clan) {
					$align=1.0;$id_clan=0;
				}elseif($myinfo->id_clan){
					$align=db_use('array',"select clanalign from clans where id_clan='".$myinfo->id_clan."'");
					$align=$align['clanalign'];$id_clan=$myinfo->id_clan;
				}else{
					die('глюк нехилый...');
				}
				db_use('query',"update person set last_legit_mark=0, last_legit_time=0,clanzvan='',id_clan='".$id_clan."',align='".$align."' where id_person='".$id_person_x."'");
				db_use('query',"insert into clans_pers (id_person,id_clan,rightsmask) values ('".$id_person_x."','".$id_clan."','00000000000000000')");
				$mess='Персонаж "'.$_REQUEST['add'].'" принят в '.(!$id_clan?'Орден Света':'клан '.$myinfo->clanname).'.';
				$text='<font class=date>'.date('d.m.y H:i').'</font> "'.$myinfo->name.'" принял'.($myinfo->sex?'а':'').' в '.(ispal($myinfo->align)?'<img src=../i/align1.gif>Орден Света':'клан <img src=../i/align'.$align.'.gif><IMG SRC=../i/klan/'.$myinfo->clanname.'.gif WIDTH=24 HEIGHT=15 BORDER=0 ALT="'.$myinfo->clanname.'">'.$myinfo->clanname).' персонажа "'.$_REQUEST['add'].'".';
				db_use('query',"insert into chat (timestamp,id_room,nick,text,color,type) values(".time().",'".$myinfo->id_room."','','".$text."','','2')");
				db_use('query',"insert into pals_delo(id_person,id_paladin,level,align,message,type) values('".$id_person_x."','".$myinfo->id_person."','".$myinfo->level."','".$myinfo->align."','Принят в ".(!id_clan?'Орден Света':'клан "'.$myinfo->clanname.'"')."','5')");				
				db_use('query',"update person set money=money-100 where id_person='".$myinfo->id_person."'");
					}
				}else{
					$mess='Персонаж не прошел проверку на чистоту перед законом.';
				}
			}#clan
		}#person
	}#money	
}
echo"<INPUT TYPE=button value=\"Принять в клан\" onclick=\"findlogin('Принять в клан', 'clans.php', 'add')\"> (это вам обойдется в <B>100 кр.</B>) <BR>
<FONT style=dsc>(перед приемом в клан, персонаж должен пройти проверку у паладинов)</FONT><BR>
<INPUT TYPE=button value=\"Выгнать из клана\" onclick=\"findlogin('Выгнать из клана', 'clans.php', 'remove')\"> (это вам обойдется в <B>30 кр.</B>)<BR>";
}
if ($clan_access[0]) {
echo "<INPUT TYPE=button value=\"Сменить главу клана\" onclick=\"if (confirm('Вы более не будете главой клана. Продолжить?')) {findlogin('Сменить главу клана', 'clans.php', 'chboss')}\"> (глава клана вправе сложить с себя полномочия, назначив главой клана другого персонажа)<BR>";
}


if ($clan_access[0] OR $clan_access[2] or $myinfo->id_person==12) { # звание
if ($_REQUEST['saveeditlogin']) {
	$res=db_use('array',"select id_person,clanzvan,id_clan,align from person where ".($myinfo->id_clan?"id_clan='".$myinfo->id_clan."'":"align>=1 and align<2")." and (persname='".mysql_escape_string($_REQUEST['saveeditlogin'])."' or id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['saveeditlogin'])."'))");
	$id_person_x=$res['id_person'];
	if (!$id_person_x) {$mess='Персонаж не найден';} else{
		if ((ispal($res['align']) && ispal($myinfo->align)) OR ($res['id_clan']==$myinfo->id_clan)) {
		
		$res=db_use('array',"select * from clans_pers where id_person='".$id_person_x."'");
		if ($res['rightsmask'][0]==1 && !$clan_access[0] ) {
		$mess='Нельзя редактировать статус главы клана';
		}else{
		
		db_use('query',"update person set clanzvan='".mysql_escape_string(substr(
	str_replace(
	array("&lt;i&gt;","&lt;I&gt;","&lt;b&gt;","&lt;B&gt;","&lt;u&gt;","&lt;U&gt;","&lt;/i&gt;","&lt;/I&gt;","&lt;/b&gt;","&lt;/B&gt;","&lt;/u&gt;","&lt;/U&gt;"),
	array("<i>","<I>","<b>","<B>","<u>","<U>","</i>","</I>","</b>","</B>","</u>","</U>"),
	str_replace("\\","&#92",htmlspecialchars($_REQUEST['rank']))
	),0,35))."' where id_person='".$id_person_x."'");

		if ($res['id_person']) {
			$rm=$res['rightsmask'];if ($rm=='') {$rm='000';}
			if ($_REQUEST['admin']=='on') { $rm[2]='1'; }else {$rm[2]='0';}
			if ($_REQUEST['admin1']=='on' && $clan_access[1]) { $rm[1]='1'; }else {$rm[1]='0';}
			#echo $rm;
			db_use('query',"update clans_pers set rightsmask='".$rm."' where id_person='".$id_person_x."' and id_clan='".($myinfo->id_clan?$myinfo->id_clan:1)."';");
			if ($id_person_x==$myinfo->id_person) {$clan_access[2]=($_REQUEST['admin']=='on'?'1':'0');}
			if ($id_person_x==$myinfo->id_person && $clan_access[1]) {$clan_access[1]=($_REQUEST['admin1']=='on'?'1':'0');}
		}else{
			db_use('query',"insert into clans_pers (id_person,id_clan,rightsmask) values('".$id_person_x."','".($myinfo->id_clan?$myinfo->id_clan:1)."','0".(($_REQUEST['admin1']=='on' && $clan_access[1])?'1':'0').($_REQUEST['admin']=='on'?'1':'0')."');");
			if ($id_person_x==$myinfo->id_person) {$clan_access[2]=($_REQUEST['admin']=='on'?'1':'0');}
		}#res id_person

	db_use('query',"delete from clana_users where id_person='".$id_person_x."'");
	$hisabils=new abils($id_person_x,$myinfo->id_clan,$myinfo->clanname);
	for ($i=1;$i<11;$i++) {
		if ($hisabils->abils[$i]->maxuses) {
			db_use('query',"insert into clana_users (id_clan,id_abil,id_person,maxuses,enable) values ('".$myinfo->id_clan."','".$i."','".$id_person_x."','".(0+$_REQUEST['abil_kol'.$i])."','".($_REQUEST['abil_en'.$i]=='on'?'1':'0')."')");
			#echo "[".$i.$_REQUEST['abil_en'.$i]."]<br />";
		}
	}
		$mess='Сохранено';$_REQUEST['editlogin']=$_REQUEST['saveeditlogin'];
			

		}#статус главы
		}else{
			$mess='Персонаж не числится в вашем клане';
		}#в моем клане
	}#person_x
}#saveedit
}#clanaccess2


# найти позицию клана в рейтинге

if ($clan_access[0] OR $clan_access[2] or $myinfo->id_person==12) {
echo "<INPUT TYPE=button value=\"Редактировать статус соклановца\" onclick=\"findlogin('Редактировать статус', 'clans.php', 'editlogin')\"><BR>";

if ($_REQUEST['editlogin']) {
	$res=db_use('array',"select p.id_person,p.clanzvan,p.align,p.id_clan,cp.rightsmask from person p left join clans_pers cp on p.id_person=cp.id_person where ".($myinfo->id_clan?"p.id_clan='".$myinfo->id_clan."'":"p.align>=1 and p.align<2")." and p.persname='".mysql_escape_string($_REQUEST['editlogin'])."' or p.id_person=(select id_person from users where login='".mysql_escape_string($_REQUEST['editlogin'])."')");
	$id_person_x=$res['id_person'];
	if (!$id_person_x) {$mess='Персонаж не найден';} elseif ($res['rightsmask'][0]==1 && !$clan_access[0]){
		$mess='Нельзя редактировать статус главы клана';
	}else{
		if ((ispal($res['align']) && ispal($myinfo->align)) OR ($res['id_clan']==$myinfo->id_clan)) {
		echo"
	
	<FIELDSET><LEGEND><h4>Редактирование статуса \"".$_REQUEST['editlogin']."\"</h4></LEGEND>
	Звание в клане <INPUT TYPE=text NAME=rank value=\"".$res['clanzvan']."\" size=35 maxlength=200><BR>
	
	<INPUT TYPE=checkbox NAME=admin ".($res['rightsmask'][2]?'checked':'')."> Может менять статус членов клана<BR>
".(($clan_access[0] OR $clan_access[1])?"<INPUT TYPE=checkbox NAME=admin1 ".($res['rightsmask'][1]?'checked':'')."> Может прининать/выгонять персонажей из клана<BR>":'')."
	<TABLE cellspacing=0 cellpadding=2 border=1>
	<TR bgcolor=C0C0C0><TD colspan=3 align=center><B>Доступ к реликтам клана</TD></TR>
	<TR bgcolor=C0C0C0><TD><B><small>Вкл/<BR>Выкл</TD>	<TD><B><small>Колич.<BR>в день</TD>	<TD align=center><B><small>Реликт</TD></TR>";
	$hisabils=new abils($id_person_x,$myinfo->id_clan,$myinfo->clanname);
	#print_r($hisabils);
	for ($i=1;$i<11;$i++) {
		if ($hisabils->abils[$i]->maxuses) {
			echo "<TR><TD><input type=checkbox name=\"abil_en".$i."\" ".($hisabils->abils[$i]->enable?'checked':'')."></TD>
			<TD><input type=text value=\"".$hisabils->abils[$i]->mymaxuses."\" style=\"width:100\" name=\"abil_kol".$i."\"> (".$hisabils->abils[$i]->maxuses.")</TD>
			<TD><IMG SRC=../i/items/".abilpic($i).".gif WIDTH=40 HEIGHT=25 ALT=\"".abilname($i)."\"></TD></TR>";
		}
	}
	echo"</TABLE>
	<small>Если допустимое количество реликтов в день не указано (или = 0), то персонаж может использовать все что есть.</small><BR>
	<INPUT TYPE=submit name=save value=\"Сохранить\">
	</FIELDSET>
	<INPUT TYPE=hidden name=saveeditlogin value=\"".$_REQUEST['editlogin']."\">
	
<BR>";
		}else{
			$mess='Персонаж не числится в вашем клане';
		}#в моем клане
	}#/persx
}
}


if (($myinfo->align>=1.1 && $myinfo->align<2)) {
?><H4>Новости палов</H4>
<?	$zakon='';
	if (file_exists('~thepalnews.inc'))
	{	
		foreach(file('~thepalnews.inc') as $s) 
		{
				$zakon.=htmlspecialchars($s).'';
		}
	}
	else	
		print_err('Ошибка чтения новостей палов');
		echo nl2br($zakon);
}

echo '<font color=red>'.$mess."</font>






<H4>Реликты клана</H4>";
$myinfo->get_chat_params();
#echo '#room='.$myinfo->id_room;

	$hisabils=new abils($myinfo->id_person,$myinfo->id_clan,$myinfo->clanname);
	$mess='';
	if ($_REQUEST['useabil']) {
		$abil=&$hisabils->abils[abilnum($_REQUEST['useabil'])];
		#print_r($abil);
		if (!$abil->enable) {$mess='У вас нет данной абилки';}
		elseif(0+$abil->myuses>=0+$abil->mymaxuses) {$mess='На сегодня абилка у вас закончилась';}
		elseif(0+$abil->uses>=0+$abil->maxuses) {$mess='На сегодня у клана абилка закончилась';}
#		elseif($abil->mymaxuses$abil->uses) {$mess='';}
		elseif($abil->cost>$myinfo->money){$mess='Недостаточно кр. Нужно '.$abil->cost.' кр';}
		else{
			#print_r($abil);
			$use=false;
			if ($_REQUEST['useabil']=='pal_button8') { 	$use=true;	}
			#$use=false;
			if ($use) {
				if ($_REQUEST['useabil']=='pal_button8') { # нападение
					$message=usezakl('attack',$_REQUEST['login'],1,0,0);
					if (!$message) {
						$res=db_use('query',"delete from clana_uses where id_person='".$myinfo->id_person."' and timeday!='".date('Y-m-d')."';");
						$res=db_use('array',"select * from clana_uses where id_person='".$myinfo->id_person."' and timeday='".date('Y-m-d')."' and id_clan='".$myinfo->id_clan."' and id_abil='".abilnum($_REQUEST['useabil'])."';");
						if ($res['id_abil']) {
							db_use('query',"update clana_uses set curuses=curuses+1 where id_person='".$myinfo->id_person."' and timeday='".date('Y-m-d')."' and id_clan='".$myinfo->id_clan."' and id_abil='".abilnum($_REQUEST['useabil'])."'");
						}else{
							db_use('query',"insert into clana_uses (curuses,id_person,timeday,id_clan,id_abil) values
							(1,'".$myinfo->id_person."','".date('Y-m-d')."','".$myinfo->id_clan."','".abilnum($_REQUEST['useabil'	])."')");
						}
						db_use('query',"update person set money=money-'".$abil->cost."' where id_person='".$myinfo->id_person."'");
						$mess='Успешно использована абилка';
					}else{
						$mess=$message;
					}
				}
			}
		}
	}
	echo '<font color=red>'.$mess.'</font><br />';
	for ($i=1;$i<11;$i++) $abils=($hisabils->abils[$i]->enable?$abils+1:$abils);
if (!$abils) {	
echo"У вашего клана нет реликтов";
echo ($clan_access[0]?'':", или глава клана вам их не предоставил ;)");
}else{
echo"<B>Место клансайта в рейтинге: ".($hisabils->mesto!=9999?$hisabils->mesto:'клансайт не в рейтинге')."<br />Пока что работает только нападение</B><br />";
	#print_r($hisabils->abils);
	for($i=1;$i<11;$i++) {
	if ($hisabils->abils[$i]->enable && $hisabils->abils[$i]->maxuses>0) {
		echo"<IMG SRC=../i/items/".abilpic($i).".gif WIDTH=40 HEIGHT=25 ALT=\"".abilname($i)."\" ";
		if ($i==1 OR $i==2 OR $i==5 OR $i==6) {
			echo "onclick=\"findlogin('".abilname($i)."', 'clans.php?useabil=".abilpic($i)."', 'login', '',1,'')\"";
		}else{
			echo "";
		}
		echo " style=\"cursor:hand\"> ".abilname($i)." [осталось на сегодня ".(($hisabils->abils[$i]->mymaxuses?$hisabils->abils[$i]->mymaxuses:$hisabils->abils[$i]->maxuses)-$hisabils->abils[$i]->uses)." из ".(($hisabils->abils[$i]->mymaxuses?$hisabils->abils[$i]->mymaxuses:$hisabils->abils[$i]->maxuses)+0)."] ".($hisabils->abils[$i]->cost?"Стоимость использования <b>".(0+$hisabils->abils[$i]->cost)." кр</b>":"")."<br />";
	}
	}
	#print_r($hisabils);
}

echo"

</TD><TD valign=top align=right>

";
$sostav=$sostav."<TABLE cellspacing=0 cellpadding=2><TR><TD align=center>
	<h4><a href=\"javascript:top.AddToPrivate('klan',true)\"><IMG border=0 SRC=../i/lock.gif WIDTH=20 HEIGHT=15 ALT=\"Приватно\"></a>Соклановцы</TD></TR><TR><TD bgcolor=efeded nowrap><SCRIPT>";
	$res=db_use('query',"select p.persname,p.id_clan,u.login,p.id_person,c.clanname,p.level,p.id_city,s.session_id,p.clanzvan,p.blocked,p.align,cp.rightsmask,a.fullname,po.id_person as inv from person p 
	left join users u on p.id_person=u.id_person
	left join clans_pers cp on p.id_person=cp.id_person 
	left join clans c on c.id_clan=p.id_clan
	left join align a on a.align=p.align
	left join person_on po on po.id_person=p.id_person and po.type=5
	left join sessions s on s.username=u.login where ".(!ispal($myinfo->align)?"p.id_clan='".$myinfo->id_clan."'":"p.align!=1.001 and p.align>=1 and p.align<2 and (p.id_clan=24 or p.id_clan<2) order by id_clan asc,align desc,COALESCE(p.persname,u.login)") );
unset ($i);while ($i<mysql_num_rows($res)) { # получить массив противников
	$i++;$s=mysql_fetch_array($res);
	$name=($s['persname']?$s['persname']:$s['login']);
	$glava=$s['rightsmask'][0];
	$sostav=$sostav."w('".$name."',".$s['id_person'].",'".$s['align']."','".($s['id_clan']>=2?$s['clanname']:'')."',".$s['level'].",'".$glava."','".str_replace("'","\'",$s['clanzvan'].'</b></i></u></b></i></u></b></i></u></b></i></u>')."',".(($s['session_id'] && !$s[inv])?'1':'0').",'".($s['block'])."','".($s['id_city']!=$myinfo->id_city?$s['id_city']:'')."');";
	
	}
$sostav=$sostav."</SCRIPT></TD></TR><TR><TD>Всего: <B>".$i."</B><BR>
	<small>(список обновляется <strike>в полночь</strike> каждый раз)</small>
	</TD></TR></TABLE>";
echo $sostav;
if (ispal($myinfo->align)) {
echo "<a href=clans.php?refreshforumos=1>Обновить состав ОС на форуме</a><br />";
if ($_REQUEST['refreshforumos']) {
include_once('config1.php');
#$dburl = "host100-web.mastak.com";$dbname = "antibk1";$dbuser = "antibk1";$dbpassword = "3654cc9b";$dbport = "3306";  
        mysql_connect($dburl1 . ':' . $dbport1, $dbuser1, $dbpassword1);
        mysql_select_db($dbname1);
		$query="update ipb_posts set post='".mysql_escape_string($sostav)."<br>".date("d.m.Y H:i:s",time())."' where pid=3720";
	    $result = mysql_query($query) or die('Ошибка запроса!');
		 echo "Обновлено<br />";
		db_use('query',"DROP TABLE IF EXISTS `paladins`.`abk_pals_delo`;");
db_use('query',"
CREATE TABLE `paladins`.`abk_pals_delo` (
`id_person` int( 11 ) unsigned NOT NULL default '0',
`id_paladin` int( 11 ) unsigned NOT NULL default '0',
`timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP ,
`message` text NOT NULL ,
`type` tinyint( 4 ) NOT NULL default '0',
`align` varchar( 10 ) NOT NULL default '',
`level` tinyint( 4 ) NOT NULL default '0',
KEY `id_paladin` ( `id_paladin` ) ,
KEY `timestamp` ( `timestamp` ) ,
KEY `pals_delo_ibfk_1` ( `id_person` ) 
) ENGINE = MYISAM DEFAULT CHARSET = cp1251;");
db_use('query',"INSERT INTO `paladins`.`abk_pals_delo` SELECT * FROM `abk`.`pals_delo` where type!=4 and type!=3;");
echo "ЛД Скопированы на сайт паладинов<br />";
		db_use('query',"DROP TABLE IF EXISTS `paladins`.`abk_pals_sostav` ;");
db_use('query',"
CREATE TABLE `paladins`.`abk_pals_sostav` (
`dateborn` int( 11 ) default '0',
`id_person` int( 10 ) unsigned NOT NULL AUTO_INCREMENT ,
`blocked` tinyint( 4 ) NOT NULL default '0',
`last_legit_mark` tinyint( 4 ) default NULL ,
`last_legit_time` int( 11 ) default NULL ,
`id_battle` bigint( 20 ) unsigned default NULL ,
`id_clan` smallint( 5 ) unsigned default NULL ,
`clanzvan` varchar( 100 ) default NULL ,
`persname` varchar( 30 ) default NULL ,
`realname` varchar( 90 ) default NULL ,
`race` tinyint( 3 ) unsigned NOT NULL default '0',
`sex` tinyint( 3 ) unsigned NOT NULL default '0',
`do_points` smallint( 5 ) unsigned NOT NULL default '0',
`align` varchar( 10 ) NOT NULL default '0',
`unchaos_timestamp` int( 11 ) default NULL ,
`exp` int( 10 ) unsigned NOT NULL default '0',
`life` float( 10, 5 ) unsigned default '18.00000',
`mana` float( 10, 5 ) NOT NULL default '0.00000',
`level` tinyint( 3 ) NOT NULL default '-1',
`id_room` smallint( 5 ) unsigned NOT NULL default '1',
`id_cityborn` tinyint( 3 ) unsigned NOT NULL default '0',
`id_city` tinyint( 3 ) unsigned NOT NULL default '0',
`id_step` smallint( 5 ) unsigned NOT NULL default '0',
`icq` int( 5 ) unsigned default NULL ,
`hide_icq` tinyint( 3 ) unsigned default NULL ,
`deviz` varchar( 160 ) default NULL ,
`chatcolor` varchar( 15 ) NOT NULL default '',
`id_cityreal` int( 10 ) unsigned NOT NULL default '0',
`stat_points` smallint( 5 ) unsigned NOT NULL default '0',
`mast_points` smallint( 5 ) unsigned NOT NULL default '0',
`osob_points` smallint( 6 ) unsigned NOT NULL default '0',
`money` float unsigned NOT NULL default '0',
`shadow` varchar( 15 ) NOT NULL default '0.gif',
`regeneration` tinyint( 4 ) NOT NULL default '100',
`regen_timestamp` int( 11 ) unsigned NOT NULL default '0',
`wins` smallint( 5 ) unsigned NOT NULL default '0',
`loss` smallint( 5 ) unsigned NOT NULL default '0',
`nich` smallint( 5 ) unsigned NOT NULL default '0',
`homepage` varchar( 60 ) default NULL ,
`hobby` text,
`masszat` tinyint( 4 ) default NULL ,
`veteran` tinyint( 4 ) default NULL ,
`vip` bigint( 4 ) NOT NULL default '0',
`rating` int( 11 ) NOT NULL default '0',
`travma_type` tinyint( 4 ) default NULL ,
`att` tinyint( 4 ) default NULL ,
`travma_id` smallint( 6 ) default NULL ,
`travma_time` int( 11 ) default NULL ,
`login` varchar(100) default NULL,
`ingame` varchar(100) default NULL,
PRIMARY KEY ( `id_person` ) ,
KEY `person_ibfk_2` ( `id_clan` ) ,
KEY `person_ibfk_1` ( `id_battle` ) ,
KEY `person_ibfk_7` ( `id_step` ) ,
KEY `person_ibfk_6` ( `id_city` ) ,
KEY `person_ibfk_5` ( `id_cityborn` ) ,
KEY `person_ibfk_4` ( `id_room` ) ,
KEY `person_ibfk_3` ( `align` ) 
) ENGINE = MYISAM DEFAULT CHARSET = cp1251;
");
db_use('query',"INSERT INTO `paladins`.`abk_pals_sostav` (select p.*,s.userip as ingame,u.login from person p 
left join users u on u.id_person=p.id_person 
left join sessions s on s.username=u.login 
where p.align>=1 and p.align<2);");
echo "Состав скопирован на сайт паладинов<br />";

}
}

echo"
</TD>
</TR>
</TABLE>



</FORM>
</BODY>
</HTML>
";
}else{
header("Location: main.php"); die;
}#/

}else {
$session->destroy_session(session_id() );
session_destroy();
header("Location: totop.htm"); die;
}
?>
</FORM>
</BODY>
</HTML>